Bug 1276786 - [abrt] NMI watchdog: BUG: soft lockup - CPU#2 stuck for 23s! [ping:28033]
[abrt] NMI watchdog: BUG: soft lockup - CPU#2 stuck for 23s! [ping:28033]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b475f91da3b683f6500fa05ffaf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 18:05 EDT by Lorenzo Pistone
Modified: 2016-07-19 14:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (71.43 KB, text/plain)
2015-10-30 18:05 EDT, Lorenzo Pistone
no flags Details

  None (edit)
Description Lorenzo Pistone 2015-10-30 18:05:08 EDT
Description of problem:
The computer just freezes partially, as in I can't send any input, but the cursor may keep flashing, and if I have a terminal open I see "NMI watchdog: BUG: soft lockup - CPU#2 stuck for 23s! [ping:28033]". Interestingly, I was pinging a host, and ping started showing "not enough buffer space" or something like that. I've been experiencing these bugs since the 4.2 release. The stack trace of these freezes, if I manage to get them, are rather various.

Additional info:
reporter:       libreport-2.6.3
NMI watchdog: BUG: soft lockup - CPU#2 stuck for 23s! [ping:28033]
Modules linked in: netconsole ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bluetooth cpufreq_stats snd_hda_codec_hdmi intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_hda_codec_realtek kvm_intel snd_hda_codec_generic arc4 iwldvm snd_hda_intel snd_hda_codec kvm snd_hda_core crct10dif_pclmul crc32_pclmul snd_hwdep snd_seq mac80211 snd_seq_device snd_pcm crc32c_intel snd_timer iTCO_wdt iTCO_vendor_support ghash_clmulni_intel thinkpad_acpi joydev snd soundcore
 iwlwifi cfg80211 rfkill tpm_tis mei_me mei tpm lpc_ich shpchp i2c_i801 wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 i2c_algo_bit sdhci_pci drm_kms_helper sdhci e1000e mmc_core drm serio_raw ptp pps_core video
CPU: 2 PID: 28033 Comm: ping Not tainted 4.2.3-200.fc22.x86_64 #1
Hardware name: LENOVO 2306CTO/2306CTO, BIOS G2ETA4WW (2.64 ) 04/09/2015
task: ffff880118d80000 ti: ffff880045e2c000 task.ti: ffff880045e2c000
RIP: 0010:[<ffffffff8111d0f1>]  [<ffffffff8111d0f1>] smp_call_function_many+0x1f1/0x250
RSP: 0018:ffff880045e2fb18  EFLAGS: 00000202
RAX: 0000000000000003 RBX: 0000000000000002 RCX: 0000000000000000
RDX: ffff88011e21a9a0 RSI: 0000000000000008 RDI: ffff8800c13dd010
RBP: ffff880045e2fb58 R08: 0000000000000000 R09: 000000000000000b
R10: ffffffff8139bfc9 R11: ffffffff8139bf54 R12: 000000000000e2e8
R13: 000000fc45e2fa98 R14: 0000000000000292 R15: ffff880045e2fac8
FS:  00007f23a0f89700(0000) GS:ffff88011e280000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f7ea1128000 CR3: 00000000bdb12000 CR4: 00000000001406e0
Stack:
 0000000000000002 0100000100000001 ffff88011e29a328 ffffffff81c6e160
 ffffffff8106c320 ffff880045e2fb98 ffff880045e2fbc0 ffff88011e3d1ce0
 ffff880045e2fb88 ffffffff8111d1b1 0000000000000246 ffffffff81c6e160
Call Trace:
 [<ffffffff8106c320>] ? rbt_memtype_copy_nth_element+0xb0/0xb0
 [<ffffffff8111d1b1>] on_each_cpu+0x31/0x60
 [<ffffffff8106cab9>] flush_tlb_kernel_range+0x79/0x80
 [<ffffffff811e1e8f>] __purge_vmap_area_lazy+0x2ef/0x360
 [<ffffffff811e2023>] vm_unmap_aliases+0x123/0x150
 [<ffffffff81068001>] change_page_attr_set_clr+0xf1/0x4f0
 [<ffffffff8106905f>] set_memory_ro+0x2f/0x40
 [<ffffffff81188899>] bpf_prog_select_runtime+0x29/0xb0
 [<ffffffff816777c5>] bpf_prepare_filter+0x3a5/0x3e0
 [<ffffffff81678104>] sk_attach_filter+0xe4/0x170
 [<ffffffff8164aadd>] sock_setsockopt+0x39d/0x880
 [<ffffffff816458cd>] SyS_setsockopt+0xcd/0xe0
 [<ffffffff81778bee>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 08 48 63 d2 e8 b1 36 29 00 3b 05 ff 42 c1 00 89 c1 0f 8d 9a fe ff ff 48 98 49 8b 16 48 03 14 c5 80 cb d2 81 8b 42 18 a8 01 74 c8 <f3> 90 8b 42 18 a8 01 75 f7 eb bd 0f b6 4d c8 4c 89 ea 4c 89 e6
Comment 1 Lorenzo Pistone 2015-10-30 18:05:19 EDT
Created attachment 1088056 [details]
File: dmesg
Comment 2 Lorenzo Pistone 2015-10-30 18:08:55 EDT
The other crashes I got were tainted byt the vbox kernel modules. However I don't think this is related to vbox. Here are the backtraces:

==============================

NMI watchdog: BUG: soft lockup - CPU#3 stuck for 22s! [chrome:16231]
Modules linked in: nfnetlink_queue nfnetlink_log nfnetlink netconsole ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bluetooth cpufreq_stats snd_hda_codec_hdmi intel_rapl snd_hda_codec_realtek iosf_mbi snd_hda_codec_generic x86_pkg_temp_thermal coretemp snd_hda_intel arc4 snd_hda_codec iwldvm kvm_intel mac80211 snd_hda_core kvm iTCO_wdt iTCO_vendor_support iwlwifi snd_hwdep thinkpad_acpi snd_seq snd_seq_device snd_pcm snd_timer cfg80211 snd crct10dif_pclmul joydev
 soundcore crc32_pclmul rfkill crc32c_intel ghash_clmulni_intel lpc_ich shpchp wmi mei_me tpm_tis i2c_i801 mei tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc vboxnetadp(OE) vboxnetflt(OE) binfmt_misc vboxdrv(OE) i915 i2c_algo_bit drm_kms_helper drm sdhci_pci serio_raw e1000e sdhci mmc_core ptp pps_core video
CPU: 3 PID: 16231 Comm: chrome Tainted: G           OE   4.2.3-200.fc22.x86_64 #1
Hardware name: LENOVO 2306CTO/2306CTO, BIOS G2ETA4WW (2.64 ) 04/09/2015
task: ffff880086f83b00 ti: ffff8800468f4000 task.ti: ffff8800468f4000
RIP: 0010:[<ffffffff8111d0f3>]  [<ffffffff8111d0f3>] smp_call_function_many+0x1f3/0x250
RSP: 0018:ffff8800468f78f8  EFLAGS: 00000202
RAX: 0000000000000003 RBX: 0000000000000003 RCX: 0000000000000000
RDX: ffff88011e21a9c0 RSI: 0000000000000008 RDI: ffff880118d543f8
RBP: ffff8800468f7938 R08: 0000000000000000 R09: 0000000000000007
R10: ffffffff8139bfc9 R11: ffffffff8139bf54 R12: 000000000000e2e8
R13: 000000fc00000002 R14: 0000000000000296 R15: 0000000000000000
FS:  00007f5e15cf8a00(0000) GS:ffff88011e2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00001dd76c7c4000 CR3: 000000009e52a000 CR4: 00000000001406e0
Stack:
 0000000000000003 01ff880000000001 ffff88011e2d6838 ffffffff81c6e160
 ffffffff8106c550 0000000000000000 ffff8800c0c91f28 ffffc9000c6bb000
 ffff8800468f7968 ffffffff8111d1b1 ffff88006a3be7b0 ffffffff81c6e160
Call Trace:
 [<ffffffff8106c550>] ? leave_mm+0xd0/0xd0
 [<ffffffff8111d1b1>] on_each_cpu+0x31/0x60
 [<ffffffff8106ca8b>] flush_tlb_kernel_range+0x4b/0x80
 [<ffffffff811e1c1c>] ? __purge_vmap_area_lazy+0x7c/0x360
 [<ffffffff811e1e8f>] __purge_vmap_area_lazy+0x2ef/0x360
 [<ffffffff811e2fc4>] ? vmap_page_range_noflush+0x224/0x330
 [<ffffffff811e20e8>] free_vmap_area_noflush+0x98/0xa0
 [<ffffffff811e3b59>] remove_vm_area+0x59/0x70
 [<ffffffff811e3b9e>] __vunmap+0x2e/0xf0
 [<ffffffff811e3d53>] vunmap+0x33/0x40
 [<ffffffffa0168f4d>] i915_parse_cmds+0x7ed/0x8b0 [i915]
 [<ffffffffa016cbee>] i915_gem_do_execbuffer.isra.27+0x93e/0x1110 [i915]
 [<ffffffff81200709>] ? __kmalloc+0x1b9/0x260
 [<ffffffffa016e4b2>] i915_gem_execbuffer2+0xb2/0x240 [i915]
 [<ffffffffa00b7365>] drm_ioctl+0x125/0x610 [drm]
 [<ffffffffa016e400>] ? i915_gem_execbuffer+0x310/0x310 [i915]
 [<ffffffff812312b5>] do_vfs_ioctl+0x295/0x470
 [<ffffffff8132930d>] ? selinux_file_ioctl+0x4d/0xc0
 [<ffffffff81231509>] SyS_ioctl+0x79/0x90
 [<ffffffff81778bee>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 63 d2 e8 b1 36 29 00 3b 05 ff 42 c1 00 89 c1 0f 8d 9a fe ff ff 48 98 49 8b 16 48 03 14 c5 80 cb d2 81 8b 42 18 a8 01 74 c8 f3 90 <8b> 42 18 a8 01 75 f7 eb bd 0f b6 4d c8 4c 89 ea 4c 89 e6 44 89 

=========================================

WARNING: CPU: 0 PID: 10429 at net/core/netpoll.c:362 netpoll_send_skb_on_dev+0x1d4/0x240()
netpoll_send_skb_on_dev(): em1 enabled interrupts in poll (e1000_xmit_frame+0x0/0xec0 [e1000e])
Modules linked in: vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) netconsole ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bluetooth cpufreq_stats intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul crc32c_intel iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic ghash_clmulni_intel snd_hda_intel snd_hda_codec joydev arc4 snd_hda_core iwldvm mac80211 iwlwifi snd_hwdep snd_seq snd_seq_device
 snd_pcm cfg80211 thinkpad_acpi snd_timer rfkill tpm_tis shpchp snd soundcore wmi lpc_ich tpm mei_me mei i2c_i801 nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper e1000e drm serio_raw sdhci_pci sdhci mmc_core ptp pps_core video
CPU: 0 PID: 10429 Comm: crda Tainted: G           OE   4.2.3-200.fc22.x86_64 #1
Hardware name: LENOVO 2306CTO/2306CTO, BIOS G2ETA4WW (2.64 ) 04/09/2015
 0000000000000000 00000000abfefc11 ffff8800239a35d8 ffffffff8177220a
 0000000000000000 ffff8800239a3630 ffff8800239a3618 ffffffff8109e4a6
 ffff88011866d900 ffff88011754b000 ffff88011866d900 ffff8800a0d08068
Call Trace:
 [<ffffffff8177220a>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e535>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff813a8c3d>] ? delay_tsc+0x2d/0x70
 [<ffffffffa00ebfa0>] ? e1000_clean_tx_ring+0xf0/0xf0 [e1000e]
 [<ffffffff8167e754>] netpoll_send_skb_on_dev+0x1d4/0x240
 [<ffffffff8167ea89>] netpoll_send_udp+0x2c9/0x400
 [<ffffffffa07f4850>] write_msg+0xb0/0xf0 [netconsole]
 [<ffffffff810f2d40>] call_console_drivers.constprop.22+0xf0/0x100
 [<ffffffff810f3941>] console_unlock+0x2f1/0x520
 [<ffffffff810f43e7>] vprintk_emit+0x2d7/0x520
 [<ffffffff810f47b9>] vprintk_default+0x29/0x40
 [<ffffffff81771296>] printk+0x55/0x6b
 [<ffffffffa03c092f>] print_rd_rules+0x15f/0x1b0 [cfg80211]
 [<ffffffffa03c1b1b>] set_regdom+0x2bb/0x580 [cfg80211]
 [<ffffffffa03da7ac>] nl80211_set_reg+0x13c/0x2c0 [cfg80211]
 [<ffffffff813293c2>] ? selinux_capable+0x12/0x20
 [<ffffffff81695b21>] genl_family_rcv_msg+0x1b1/0x3c0
 [<ffffffff811a9bd9>] ? free_one_page+0x199/0x450
 [<ffffffff81695d30>] ? genl_family_rcv_msg+0x3c0/0x3c0
 [<ffffffff81695da6>] genl_rcv_msg+0x76/0xb0
 [<ffffffff816952a8>] netlink_rcv_skb+0xa8/0xd0
 [<ffffffff8169595c>] genl_rcv+0x2c/0x40
 [<ffffffff81694a87>] netlink_unicast+0x127/0x1a0
 [<ffffffff81694fa5>] netlink_sendmsg+0x4a5/0x5f0
 [<ffffffff81644658>] sock_sendmsg+0x38/0x50
 [<ffffffff81644feb>] ___sys_sendmsg+0x28b/0x2a0
 [<ffffffff811b336c>] ? lru_cache_add+0x1c/0x50
 [<ffffffff811b34c2>] ? lru_cache_add_active_or_unevictable+0x32/0xd0
 [<ffffffff81645aa7>] __sys_sendmsg+0x57/0xa0
 [<ffffffff81645b02>] SyS_sendmsg+0x12/0x20
 [<ffffffff81778bee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 3 Fedora End Of Life 2016-07-19 14:22:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.